View Issue Details

IDProjectCategoryView StatusLast Update
0028493FPCFCLpublic2015-08-28 11:31
ReporterAlexey Tor.Assigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target Version4.0.0Fixed in Version3.1.1 
Summary0028493: jsonConf: save/load stringList
DescriptionI save history of combobox.
I curr do this: for each item of stringlist I save it to same path with inttostr(i):

{ "dir": {"0": "str0", "1": "str1" }}

It's not handy since parsing little slower. This 's faster get/set:

{ "dir": ["str0", "str1"] }

Maybe I can add such Get/Set but not sure my code ll be Ok...
Users will need it 100%
TagsNo tags attached.
Fixed in Revision31435
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2015-08-28 11:31

administrator   ~0085558

Added

Function GetValue(const APath: UnicodeString; AValue: TStrings; Const ADefault: String) : Boolean; overload;
Function GetValue(const APath: UnicodeString; AValue: TStrings; Const ADefault: TStrings): Boolean; overload;

procedure SetValue(const APath: UnicodeString; AValue: TStrings; AsObject : Boolean = False); overload;

AsObject means that A=b in a string will be written as { "A": "b"}, A will be written as { "A" : "" }

Issue History

Date Modified Username Field Change
2015-08-08 13:10 Alexey Tor. New Issue
2015-08-09 18:01 Michael Van Canneyt Assigned To => Michael Van Canneyt
2015-08-09 18:01 Michael Van Canneyt Status new => assigned
2015-08-28 11:31 Michael Van Canneyt Fixed in Revision => 31435
2015-08-28 11:31 Michael Van Canneyt Note Added: 0085558
2015-08-28 11:31 Michael Van Canneyt Status assigned => resolved
2015-08-28 11:31 Michael Van Canneyt Fixed in Version => 3.1.1
2015-08-28 11:31 Michael Van Canneyt Resolution open => fixed
2015-08-28 11:31 Michael Van Canneyt Target Version => 4.0.0